Bug 173305 - double free or corruption when moving appointment to another calendar
Summary: double free or corruption when moving appointment to another calendar
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution   
(Show other bugs)
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-16 07:43 UTC by Uri Shohet
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: evolution-2.8.2.1-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 13:00:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error message from ~/.xsession-errors (25.18 KB, text/plain)
2005-11-16 07:43 UTC, Uri Shohet
no flags Details

Description Uri Shohet 2005-11-16 07:43:21 UTC
Description of problem:
I'm connecting two calendars - Personal (on my computer) and another one on the
Exchange server.

I tried to move (or copy) an appointment from my personal calendar to the
Exchange one and evolution stuck and in the ~/.xsession-errors file I saw an
error message (below).


Version-Release number of selected component (if applicable):
evolution-devel-2.2.3-2.fc4 evolution-data-server-devel-1.2.3-3.fc4
evolution-connector-2.2.2-5 evolution-webcal-2.2.0-1 evolution-2.2.3-2.fc4
evolution-data-server-1.2.3-3.fc4

How reproducible:
Always

Steps to Reproduce:
1.define a calendar on your computer and another on Exchange server
2.right-click on an appointment and choose Move to Calendar (or Copy to Calendar)
  
Actual results:
evolution freezes

Expected results:


Additional info:

Comment 1 Uri Shohet 2005-11-16 07:43:21 UTC
Created attachment 121114 [details]
error message from ~/.xsession-errors

Comment 2 John Thacker 2006-10-29 21:20:24 UTC
[Mass switching of bugs filed against FC4T3 to fc4test3 from test3]

Comment 3 Uri Shohet 2006-10-30 07:23:32 UTC
The problem doesn't happen in evolution-connector-2.6.3-2.fc5 
evolution-2.6.3-1.fc5.5 evolution-data-server-1.6.3-1.fc5.2

Comment 4 Dave Malcolm 2007-01-08 17:37:12 UTC
Thanks for filing this bug report, and investigating it.  I'm sorry that it has
gone for so long without activity; it was incorrectly assigned to me by bugzilla.

Reassigning to mbarnes; once again, my apologies for my lack of activity on this
bug.

Comment 5 Christian Iseli 2007-01-22 10:20:40 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 6 Uri Shohet 2007-01-23 07:30:48 UTC
I'm using FC5 already, no problems here :-)

Thanks anyway,

Uri

Comment 7 Matthew Barnes 2007-01-23 13:00:43 UTC
Thanks for responding.  Closing as CURRENTRELEASE.  Feel free to reopen this bug
if you encounter the same problem in Fedora Core 6 or later.


Note You need to log in before you can comment on or make changes to this bug.